Skip to main content
GET
List batches

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uuids
string[]

Batch identifiers to include.

workflowUuids
string[]

Workflow identifiers to include.

userUuid
string<uuid>

User identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
releaseUuid
string<uuid>

Release identifier to filter by.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
parentBatchUuid
string<uuid>

Parent batch identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
parentRunUuid
string<uuid>

Parent run identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
parentNodeUuid
string<uuid>

Parent node identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
statuses
enum<string>[]

Batch statuses to include.

Available options:
pending,
syncing,
skipped,
querying,
running,
success,
error,
cancelling,
cancelled
hasRuns
enum<string>

Filter batches that have runs.

Available options:
true,
false
isSkipped
enum<string>

Filter batches by skipped state.

Available options:
true,
false
isFinished
enum<string>

Filter batches by finished state.

Available options:
true,
false
includedDataKinds
enum<string>[]

Data kinds to include.

Available options:
segment,
change,
filter,
recordIds,
records,
file,
runs,
group,
schedule,
form
excludedDataKinds
enum<string>[]

Data kinds to exclude.

Available options:
segment,
change,
filter,
recordIds,
records,
file,
runs,
group,
schedule,
form
limit
string

Maximum number of batches to return.

offset
string

Number of batches to skip.

Response

Successful response

batches
Batches · object[]
required

List of batches.